--[[------------------------------------------------
	-- GUI --
--]]------------------------------------------------

GUI = {}
GUI.Title = {}
local font = love.graphics.newFont(10)
local ScrW = love.graphics.getWidth()
local ScrH = love.graphics.getHeight()


local panel = loveframes.Create("panel")
panel:SetSize(150, 200)

colcat = loveframes.Create("collapsiblecategory")

colcat:SetWidth(130)
colcat:SetPos(5,5)
colcat:SetText("Console")
colcat:SetObject(panel)
colcat:SetOpen(true)


local textPOS = loveframes.Create("text", panel)

textPOS:SetPos(5, 5)
textPOS:SetMaxWidth(100)
textPOS:SetFont(font)
textPOS:SetText("Default")

local textY = loveframes.Create("text", panel)

textY:SetPos(5, 35)
textY:SetMaxWidth(100)
textY:SetFont(font)
textY:SetText("Default")

local textSXY = loveframes.Create("text", panel)

textSXY:SetPos(5, 65)
textSXY:SetMaxWidth(100)
textSXY:SetFont(font)
textSXY:SetText("Default")


local textobs = loveframes.Create("text", panel)
textobs:SetPos(5, 100)
textobs:SetMaxWidth(100)
textobs:SetFont(font)
textobs:SetText("Default")


local textobj = loveframes.Create("text", panel)
textobj:SetPos(5, 125)
textobj:SetMaxWidth(100)
textobj:SetFont(font)
textobj:SetText("Default")

local textuse = loveframes.Create("text", panel)
textuse:SetPos(5, 155)
textuse:SetMaxWidth(100)
textuse:SetFont(font)
textuse:SetText("Default")





function GUI.Console(tbl)


textPOS:SetText("Pos: "..tostring(tbl.x).." , "..tostring(tbl.y))
textY:SetText("TilePos+: "..tostring(tbl.xx).." , "..tostring(tbl.yy))

textobs:SetText("Obstacle: "..tostring(tbl.obstacle))
textobj:SetText("Useable: "..tostring(tbl.useable))
textuse:SetText(tostring(tbl.checkName).." : "..tostring(tbl.checkBool))
textSXY:SetText("ScrPos: "..tostring(tbl.sx).." , "..tostring(tbl.sy))


end

function GUI.ShowTable(tbl)
local frame = loveframes.Create("frame")
frame:SetSize(500, 300)
frame:SetPos(5,5)
frame:SetName(tostring(tbl))
local columnlist = loveframes.Create("columnlist", frame)
columnlist:SetPos(5, 30)
columnlist:SetSize(490, 265)
columnlist:AddColumn("Index")
columnlist:AddColumn("Item")


for k, v in pairs(tbl) do

	columnlist:AddRow(tostring(k), tostring(v))
	
end


end
