-- Setup
local loader = require("libraries/AdvTiledLoader.Loader")
local tween = require("libraries/tween")
require("player")
require("npcs")
require("gui")
require("libraries/TEsound")
require("usables")

---
loader.path = "maps/"

local map = loader.load("inn.tmx")

local ground = map.tl["Ground"]
local walls = map.tl["Walls"]
local furni = map.tl["Furniture"]
local topfurni = map.tl["TopFurniture"]

map.drawObjects = false
player.spawn(map,3,3)
npc.spawn(map,8,8)


--local music = {"error.mp3", "dogquake.mp3", "dustcup.mp3", "hobotune.mp3"}
BoomBox = Radio(2, 9, 7,{"error.mp3", "dogquake.mp3", "dustcup.mp3", "hobotune.mp3"})
  
ConsoleInfo = {}
	
	
-- Our example class
local DesertExample = {}
local gridX = 128
local gridY = 128

local t1 = 3
local t2 = 3

-- Called from love.keypressed()
love.keyboard.setKeyRepeat( 0.1, 0.01 )
function DesertExample.keypressed(k)
	player.move(k)
	player.actionCheck(k)
	
	
			if k == 'n' then BoomBox:onUse() end
			if k == 'm' then GUI.ShowTable(walls.tileData(t1, t2).properties) end
end

-- Resets the example
function DesertExample.reset()
	global.tx = 100
	global.ty = 124
	displayTime = 0
end

-- Update the display time for the character control instructions


function DesertExample.update(dt) ---------------UPDATE IS HERE. DAMN I CAN NEVER SEE THIS WHEN SCROLLING
	displayTime = displayTime + dt
	local rnd = math.random(1,100)
	local t1, t2 = player.facingTile()
--	print(t1.." , "..t2.." ---- "..npc.tileX.." , "..npc.tileY)
	if rnd < 35 and rnd > 25 then
	npc.move()
	end
	tween.update(dt)
	GUI.Console(ConsoleInfo)

end



-- Called from love.draw()
function DesertExample.draw()


	-- Set sprite batches if they are different than the settings.
	map.useSpriteBatch = global.useBatch

	-- Scale and translate the game screen for map drawing
	local ftx, fty = math.floor(global.tx), math.floor(global.ty)
	love.graphics.push()
	love.graphics.scale(global.scale)
	love.graphics.translate(ftx, fty)

	-- Limit the draw range 
	if global.limitDrawing then 
		map:autoDrawRange(ftx, fty, global.scale, -100) 
	else 
		map:autoDrawRange(ftx, fty, global.scale, 50) 
	end

	-- Queue our guy to be drawn after the tile he's on and then draw the map.
	local maxDraw = global.benchmark and 20 or 1
	for i=1,maxDraw do 
		map:draw() 
	end
	love.graphics.rectangle("line", map:getDrawRange())
	player.draw()
	npc.draw()
	 -- draw a "filled in" polygon using the ground's coordinates
	 
--[[ 	 for i = 0, 22 do
		for j = 0, 14 do
				if walls.tileData(i, j).properties.obstacle == 1  then 
					love.graphics.setColor( 255, 0, 0, 255 )
					love.graphics.print(i .. ", " .. j,i * 32 + 8,j * 32 + 8)
			else
						love.graphics.setColor( 0, 255, 0, 255 )
					love.graphics.print(i .. ", " .. j,i * 32 + 8,j * 32 + 8)
				end
	 end
	 end  ]]

	-- Reset the scale and translation.
	love.graphics.pop()
end

return DesertExample