Class = require("libraries/class")

Base = Class{function(self, type, tileX, tileY)
    self.type = type
	self.tileX = tileX
	self.tileY = tileY
end}

function Base:__tostring()
local strs = {
	"Type: ".."Damn",
	"Tile X "..self.tileX,
	"Tile Y "..self.tileY}

return table.concat(strs, "\n ")
end

function Base:onUse()
print(self.type.." has activated it's onUse function!")
end


Radio = Class{function(self, id, tileX, tileY, music)
	self.obj = "Radio"
	self.id = id
	self.tileX = tileX
	self.tileY = tileY
	self.music = music
end}

function Radio:__tostring()
local strs = {
	"Type: "..self.obj,
	"Tile X: "..self.tileX,
	"Tile Y: "..self.tileY,
	"Music: "..tostring(self.music)}

return table.concat(strs, "\n ")
end

local function tablelength(T)
  local count = 0
  for _ in pairs(T) do count = count + 1 end
  return count
end

function Radio:onUse()
local max = tablelength(self.music)
local rnd = math.random(1, max)
print(self.music[rnd])
print("Pretend it's playing music. Do do dooooo do do doooo!")
end




Elephant = Base("John", 5, 5)

